# KmlTourFlyTo

#### new Cesium.KmlTourFlyTo(duration, flyToMode, view)
DataSources/KmlTourFlyTo.js 20

Name | Type | Description
--- | --- | ---
`duration` | Number | entry duration
`flyToMode` | String | KML fly to mode: bounce, smooth, etc
`view` | KmlCamera | KmlLookAt | KmlCamera or KmlLookAt

### Methods

#### getCameraOptions(cameraOptions) → Object
DataSources/KmlTourFlyTo.js 78

Returns options for `Camera#flyTo` or `Camera#flyToBoundingSphere` depends on this.view type.

Name | Type | Description
--- | --- | ---
`cameraOptions` | Object | options to merge with generated. See `Camera#flyTo`

##### Returns:

`Camera#flyTo` or `Camera#flyToBoundingSphere` options

#### play(done, camera, cameraOptions)
DataSources/KmlTourFlyTo.js 38

Play this playlist entry

Name | Type | Description
--- | --- | ---
`done` | KmlTourFlyTo~DoneCallback | function which will be called when playback ends
`camera` | Camera | Cesium camera
`cameraOptions` | Object | optional which will be merged with camera flyTo options. See `Camera#flyTo`

#### stop()
DataSources/KmlTourFlyTo.js 62

Stop execution of curent entry. Cancel camera flyTo

### Type Definitions

#### DoneCallback(terminated)
DataSources/KmlTourFlyTo.js 105

A function that will be executed when the flight completes.

Name | Type | Description
--- | --- | ---
`terminated` | Boolean | true if `KmlTourFlyTo#stop` was called before entry done playback.